Package ru.bitel.common.model

# Class Id

java.lang.Object
ru.bitel.common.model.Id

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `AbstractBalanceBean`, `AbstractBonusBalanceBean`, `AccountingPeriod`, `ActionLogEntry`, `AdditionalAgreement`, `Autopayment`, `BGAbstractTransaction`, `BGFutureTask`, `ConnectionLogEntry`, `Contact`, `ContractAutopayment`, `ContractLimitLog`, `ContractLimitMovement`, `ContractPattern`, `ContractPeriod`, `ContractService`, `ContractStatus`, `ContractStatusLog`, `ContractTariffGroup`, `ContractTariffOption`, `Customer`, `DataProcessRecord`, `DeviceInterfaceIndex`, `DevicePortSubscription`, `DispatchMessageStatistic`, `DocumentPositionSpec`, `DocumentStatusLogItem`, `Domain`, `DrwebAgentStatusBase`, `DrwebTariff`, `ExtDocument`, `FlussonicWatcherCamera`, `ForpostCameraBrand`, `ForpostCameraModel`, `ForpostCameraType`, `ForpostMaster`, `ForpostPtzType`, `ForpostRecordType`, `ForpostRemoteMaster`, `GroupRight`, `House`, `IdContractId`, `IdTitle`, `InetServRestriction`, `IpResource`, `IpResourceSubscription`, `IpResourceSubscriptionReal`, `LicenseTariffGroupPrice`, `LogEntry`, `MangoAccountProduct`, `MangoFee`, `MegogoContractSubscriptionStatusPeriod`, `MobilePushToken`, `PackageTaskData`, `PaymentInfo`, `PeriodicTask`, `PersonalDispatch`, `PhoneResource`, `PhoneResourceSubscription`, `Position`, `Product`, `ProductPeriod`, `ProductSpecServiceLink`, `Purchase`, `RCCdrItem`, `RegisterTask`, `RegistrationPeriod`, `RentalEntry`, `RentsoftProduct`, `Reserve`, `Revision`, `RunningTask`, `SbPilotPayment`, `SchedulerTaskLog`, `Service`, `SmartHouseAccountConfig`, `SmartHouseIntercom`, `SormUploadStatistic`, `SqlHistoryRequest`, `SqlHistoryUserConfig`, `StockItemAttributeValue`, `Subscription`, `Subscription`, `Subscription`, `TariffGroupTariff`, `TrafficTypeLinkRule`, `TvServiceSpecChannelLink`, `UfanetAddressItem`, `UserCard`, `UserCardCopy`, `UserInfo`, `VlanResourceSubscription`, `VoiceAccountPort`, `VoiceCostMapRange`, `VoiceError`, `VoiceGeographicRange`

public class Id extends Object implements Serializable, Idable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `Id()`
  `protected`
  `Id(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyTo(Id id)`
  `boolean`
  `equals(Object obj)`
  `int`
  `getId()`
  Возвращает id объекта
  `int`
  `hashCode()`
  `static <K extends Idable>
  List<Integer>`
  `newIdList(Collection<K> list)`
  Список ид из списка Idable-сущностей.
  `static <K extends Idable>
  Set<Integer>`
  `newIdSet(Collection<K> list)`
  Новый set{id} из коллекции Idable-инстансов.
  `static <K extends Idable>
  Set<Integer>`
  `newIdSet(List<K> list)`
  Новый set{id} из списка Idable-инстансов.
  `static <K extends Idable>
  Set<Integer>`
  `newIdSet(K entity)`
  Получить из Set из одного Id для объекта.
  `static <K extends Idable>
  Set<Integer>`
  `newIdSet(K[] list)`
  Новый set{id} из массива Idable-инстансов.
  `static <K extends Idable>
  Map<Integer,K>`
  `newMap(List<K> list)`
  Новый мэп{id => K} из списка Idable-инстансов.
  `Id`
  `setId(int id)`
  Устанавливает id объекта
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Id

    public Id()

  - ### Id

    protected Id(int id)

- ## Method Details

  - ### getId

    public int getId()
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Returns:

  - ### setId

    public Id setId(int id)
    Устанавливает id объекта
    Parameters:
      `value` - id

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### newMap

    public static <K extends Idable> Map<Integer,K> newMap(List<K> list)
    Новый мэп{id => K} из списка Idable-инстансов.

  - ### newIdSet

    public static <K extends Idable> Set<Integer> newIdSet(K[] list)
    Новый set{id} из массива Idable-инстансов.

  - ### newIdSet

    public static <K extends Idable> Set<Integer> newIdSet(Collection<K> list)
    Новый set{id} из коллекции Idable-инстансов.

  - ### newIdSet

    public static <K extends Idable> Set<Integer> newIdSet(K entity)
    Получить из Set из одного Id для объекта. Бывает нужно когда у нас всего один объект, а нужно передать список id.
    Parameters:
      `entity` -
    Returns:

  - ### newIdSet

    public static <K extends Idable> Set<Integer> newIdSet(List<K> list)
    Новый set{id} из списка Idable-инстансов.

  - ### newIdList

    public static <K extends Idable> List<Integer> newIdList(Collection<K> list)
    Список ид из списка Idable-сущностей.
    Parameters:
      `list` - коллекция объектов дочерних Idable.
    Returns:
      список целых чисел в порядке итерации исходной коллекции.
    See Also:
      - `newIdSet(Collection)`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### copyTo

    public void copyTo(Id id)